Skip to content
Developer Tools
Accelerate development using AI assistants and tools

Notification ​

  • Endpoint: POST /v1.0/debit/notify
  • Tags: Indonesia SNAP/Collection

Parameters ​

FieldInTypeRequiredConstraintsDescription
X-TIMESTAMPheaderstringYesTransaction date time, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX
X-SIGNATUREheaderstringYesSignature need to be verified
X-PARTNER-IDheaderstringYesUnique identifier for partner was generated by payermax, or known as clientId
X-EXTERNAL-IDheaderstringYesUnique messaging reference identifier and should be unique within the same day
Content-TypeheaderstringYes

Parameter Examples ​

  • X-TIMESTAMP: ""
  • X-SIGNATURE: ""
  • X-PARTNER-ID: ""
  • X-EXTERNAL-ID: ""
  • Content-Type: "application/json"

Request Body ​

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
merchantIdstringYesmaxLength: 32Merchant identifier that is unique per each merchant
originalPartnerReferenceNostringYesmaxLength: 64Original transaction identifier on partner system
originalReferenceNostringYesmaxLength: 64Original transaction identifier on Payermax system
amountobjectNoNet amount of the transaction additionalInfo.notifyType=PAYMENT: transaction amount additionalInfo.notifyType=REFUND: refund amount
amount.valuestringYesTransaction amount
amount.currencystringYesmaxLength: 3Transaction currency
latestTransactionStatusstringYesmaxLength: 2additionalInfo.notifyType=PAYMENT: 00 = Success, the order has been paid 05 = Cancelled, the order has been closed because it is expired 06 = Failed, the order has been failed additionalInfo.notifyType=REFUND: 00 = Success, the order has been refunded 06 = Failed, the order has been failed
transactionStatusDescstringNomaxLength: 64Description of transaction status
createdTimestringYesmaxLength: 25Transaction created time, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX
finishedTimestringYesmaxLength: 25Transaction finished time, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX
additionalInfoobjectYesAdditional information
additionalInfo.notifyTypestringYesmaxLength: 16Notification Type. values: PAYMENT/REFUND

Example ​

json
{
  "merchantId": "{{merchantId}}",
  "originalPartnerReferenceNo": "ORDER202611160001",
  "originalReferenceNo": "T2026111600000001",
  "amount": {
    "value": "100000.00",
    "currency": "IDR"
  },
  "latestTransactionStatus": "00",
  "transactionStatusDesc": "Success",
  "createdTime": "2026-11-16T05:59:00.000Z",
  "finishedTime": "2026-11-16T06:00:00.000Z",
  "additionalInfo": {
    "notifyType": "PAYMENT"
  }
}

Responses ​

200 ​

FieldTypeRequiredConstraintsDescriptionEnum
responseCodestringYesResponse code returned by the merchant to acknowledge whether the notification was successfully processed.
responseMessagestringYesDescription of the merchant’s notification processing result.

Response Example ​

json
{
  "responseCode": "2005600",
  "responseMessage": "Success"
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.